All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class TickStyle

    com.sas.graphics.components.TickStyle

    public class TickStyle

TickStyle stores appearance properties associated with the tick marks.

## Usage

Set the major tickmarks to a cross the axis line and color them light gray:

     TickStyle myTickStyle = myAxisTickModel.getMajorTickStyle();
     myTickStyle.setPlacement(TickStyle.PLACEMENT_ACROSS);
     myTickStyle.getLineStyle().setColor(Color.lightGray);

## Behavior

You should never need to create this class. Always get it from the AxisTickModel whose tickStyle you want to define and then modify it. You can modify the appearance (color, BasicStroke) of the line in the tick and control where to place it on the axis.

Since:
  SAS 9.1
See Also:
  `AxisModel`, `LineStyle`, `ModelBase`

Field Summary
`static ConstantCollection` | `PLACEMENT` PLACEMENT provides a set of static actions associated with the public PLACEMENT_ constants.
`static int` | `PLACEMENT_ACROSS` Ticks are placed partially inside and partially outside the graph.
`static int` | `PLACEMENT_INSIDE` Ticks are placed inside the graph.
`static int` | `PLACEMENT_OUTSIDE` Ticks are placed outside the graph.
`static java.lang.String` | `RB_KEY`

Constructor Summary
`TickStyle()` Default constructor
`TickStyle(java.awt.Color newColor)` Constructor with a color

Method Summary
`void` | `apply(TickStyle theOtherObject)` Utility method to convey properties contained in "theOtherObject" to this object.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `TickStyle`.
`com.sas.measures.BaseLength` | `getBaseLength()` Get the length of the tick marks.
`LineStyle` | `getLineStyle()` Get the line attributes of the tick marks.
`int` | `getPlacement()` Get the tick mark placement.
`int` | `hashCode()` Computes the hash code for this `TickStyle`.
`void` | `setBaseLength(com.sas.measures.BaseLength newBaseLength)` Set the length of the tick marks.
`void` | `setLineStyle(LineStyle newLineStyle)` Set the line attributes of the tick marks.
`void` | `setPlacement(int newPlacement)` Set the placement of the tick marks.

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### PLACEMENT_INSIDE

    public static final int PLACEMENT_INSIDE

  Ticks are placed inside the graph.

  See Also:
    Constant Field Values

### PLACEMENT_ACROSS

    public static final int PLACEMENT_ACROSS

  Ticks are placed partially inside and partially outside the graph.

  See Also:
    Constant Field Values

### PLACEMENT_OUTSIDE

    public static final int PLACEMENT_OUTSIDE

  Ticks are placed outside the graph.

  See Also:
    Constant Field Values

### PLACEMENT

    public static final ConstantCollection PLACEMENT

  PLACEMENT provides a set of static actions associated with the public PLACEMENT_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

Constructor Detail

### TickStyle

    public TickStyle()

  Default constructor

### TickStyle

    public TickStyle(java.awt.Color newColor)

  Constructor with a color

Method Detail

### apply

    public void apply(TickStyle theOtherObject)

  Utility method to convey properties contained in "theOtherObject" to this object.

  Note: Contained "models" (i.e. properties that are subclasses of ModelBase) will in turn be called on to convey their properties to the like contained models in the other object. In that respect this can be considered a "tree" type copy.

  Also Note: This is a deep copy. Thus after the copy, mutable properties will not be shared by the two instances.

  Parameters:
    `theOtherObject` - properties applied to this instance

### setPlacement

    public void setPlacement(int newPlacement)
                      throws java.lang.IllegalArgumentException

  Set the placement of the tick marks. `Valid placement types`

  Parameters:
    `newPlacement` - new placement type
  Throws:
    `java.lang.IllegalArgumentException` - if newPlacement is not a valid value
  See Also:
    `getPlacement()`

### getPlacement

    public int getPlacement()

  Get the tick mark placement. `Valid placement types`

  Returns:
    int current placement type
  See Also:
    `setPlacement(int)`

### setBaseLength

    public void setBaseLength(com.sas.measures.BaseLength newBaseLength)

  Set the length of the tick marks.

  Parameters:
    `newBaseLength` - containing the length of tick marks
  See Also:
    `getBaseLength()`

### getBaseLength

    public com.sas.measures.BaseLength getBaseLength()

  Get the length of the tick marks.

  Returns:
    BaseLength current length
  See Also:
    `setBaseLength(com.sas.measures.BaseLength)`

### setLineStyle

    public void setLineStyle(LineStyle newLineStyle)
                      throws java.lang.IllegalArgumentException

  Set the line attributes of the tick marks.

  Parameters:
    `newLineStyle` - the tick's line display attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newLineStyle is null.
  See Also:
    `getLineStyle()`, `LineStyle.apply(com.sas.graphics.components.LineStyle)`

### getLineStyle

    public LineStyle getLineStyle()

  Get the line attributes of the tick marks.

  Returns:
    LineStyle current line style for ticks
  See Also:
    `setLineStyle(com.sas.graphics.components.LineStyle)`

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `TickStyle`.

  The result is `true` if and only if the argument is not `null` and is a `TickStyle` object that has the same property values as this object.

  Overrides:
    `equals` in class `ModelBase`
  Parameters:
    `obj` - the object to test for equality with this `TickStyle`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Computes the hash code for this `TickStyle`.

  Overrides:
    `hashCode` in class `ModelBase`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.